<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
    <meta charset="UTF-8"/>
    <title>Vérification des droits admin</title>
</head>
<body
        style="p: before .success, li:before .success{
            background-image:
                url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png); content: '&gt;'">
<h3>
    On ajoute des droits sur les données de référence pour l'utilisateur <span
        concordion:set="#utilisateur">testeurAuto</span>.
</h3>
<table
        concordion:execute="#areRightsSet=addActivity(#utilisateur, #role, #Type, #Path, #dateDeDebut, #dateDeFin)">
    <tr>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#Type">Type de privilège</th>
        <th concordion:set="#Path">Path</th>
        <th concordion:set="#dateDeDebut">Date de début</th>
        <th concordion:set="#dateDeFin">Date de fin</th>
        <th concordion:assertTrue="#areRightsSet">Droit mis</th>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>agroecosysteme</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>sites</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>themes</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>types_de_donnees_par_themes_de_sites</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>unites</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>variables</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>variables_et_unites_par_types_de_donnees</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>blocs</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>parcelle</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>traitement_programme</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>variables_de_description</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>modalites</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>suivi_parcelle</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>version_de_traitement</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>listes_itineraire</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>edition</td>
        <td>refdata</td>
        <td>produit_phytosanitaire</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
</table>

<h3>On ajoute des droits sur les données expérimentales pour
    l'utilisateur <span
        concordion:set="#utilisateur">testeurAuto</span>..</h3>
<table
    concordion:execute="#areRightsSet=addActivity(#utilisateur, #role, #Type, #Path, #dateDeDebut, #dateDeFin)">
    <tr>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#Type">Type de privilège</th>
        <th concordion:set="#Path">Path</th>
        <th concordion:set="#dateDeDebut">Date de début</th>
        <th concordion:set="#dateDeFin">Date de fin</th>
        <th concordion:assertTrue="#areRightsSet">Droit mis</th>
    </tr>
    <tr>
        <td>depot,publication,extraction,suppression</td>
        <td>dataset</td>
        <td>prairies_permanentes/laqueuille/flux_gazeux/flux_tours/2</td>
        <td>30/12/2003</td>
        <td>07/01/2004</td>
        <td>true</td>
    </tr>
    <tr>
        <td>depot,publication,extraction,suppression</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/flux_gazeux/flux_tours/5</td>
        <td>01/01/2005</td>
        <td>07/01/2005</td>
        <td>true</td>
    </tr>
    <tr>
        <td>depot,publication,extraction,suppression</td>
        <td>dataset</td>
        <td>prairies_permanentes/laqueuille/flux_gazeux/flux_chambres</td>
        <td>06/05/2010</td>
        <td>25/05/2010</td>
        <td>true</td>
    </tr>
    <tr>
        <td>depot,publication,extraction,suppression</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/flux_gazeux/flux_chambres</td>
        <td>06/05/2010</td>
        <td>25/05/2010</td>
        <td>true</td>
    </tr>
    <tr>
        <td>depot,publication,extraction,suppression</td>
        <td>dataset</td>
        <td>grandes_cultures_et_cultures_dediees_a_la_production_de_biomasse/estrees-mons/flux_gazeux/flux_chambres</td>
        <td>09/06/2011</td>
        <td>20/03/2012</td>
        <td>true</td>
    </tr>
    <tr>
        <td>depot,publication,extraction,suppression</td>
        <td>dataset</td>
        <td>prairies_permanentes/laqueuille/meteorologie/meteorologie</td>
        <td>19/07/2005</td>
        <td>22/07/2005</td>
        <td>true</td>
    </tr>
    <tr>
        <td>depot,publication,extraction,suppression</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/meteorologie/meteorologie</td>
        <td>16/07/2005</td>
        <td>20/07/2005</td>
        <td>true</td>
    </tr>
    <tr>
        <td>depot</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/pratiques_de_gestion</td>
        <td>25/05/2005</td>
        <td>05/11/2011</td>
        <td>true</td>
    </tr>
    <tr>
        <td>publication</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/pratiques_de_gestion</td>
        <td>25/05/2005</td>
        <td>05/11/2011</td>
        <td>true</td>
    </tr>
    <tr>
        <td>extraction</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/pratiques_de_gestion</td>
        <td>25/05/2005</td>
        <td>05/11/2011</td>
        <td>true</td>
    </tr>
    <tr>
        <td>suppression</td>
        <td>dataset</td>
        <td>rotation_prairie_culture/lusignan/pratiques_de_gestion</td>
        <td>25/05/2005</td>
        <td>05/11/2011</td>
        <td>true</td>
    </tr>
</table>

<h3>On ajoute des droits sur le dépôt de fichiers complémentaires pour
    l'utilisateur testeurAuto.</h3>
<table
        concordion:execute="#areRightsSet=addActivity(#utilisateur, #role, #Type, #Path, #dateDeDebut, #dateDeFin)">
    <tr>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#Type">Type de privilège</th>
        <th concordion:set="#Path">Path</th>
        <th concordion:set="#dateDeDebut">Date de début</th>
        <th concordion:set="#dateDeFin">Date de fin</th>
        <th concordion:assertTrue="#areRightsSet">Droit mis</th>
    </tr>
    <tr>
        <td>depot</td>
        <td>file</td>
        <td>rotation_prairie_culture/lusignan/meteorologie/meteorologie</td>
        <td></td>
        <td></td>
        <td>true</td>
    </tr>
    <tr>
        <td>telechargement</td>
        <td>file</td>
        <td>rotation_prairie_culture/lusignan/meteorologie/meteorologie</td>
        <td>01/01/1984</td>
        <td>05/01/1984</td>
        <td>true</td>
    </tr>
</table>
</body>
</html>